using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace APT.Data.Migrations.Migrations
{
    public partial class wyw2026041702 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "T_PF_ANNOURCEMENT",
                columns: table => new
                {
                    ID = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TITLE = table.Column<string>(type: "nvarchar(300)", maxLength: 300, nullable: true),
                    ABSTRACT = table.Column<string>(type: "nvarchar(1000)", maxLength: 1000, nullable: true),
                    START = table.Column<DateTime>(type: "datetime2", nullable: false),
                    END = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CONTENT = table.Column<string>(type: "nvarchar(max)", maxLength: 5000, nullable: true),
                    NUM = table.Column<int>(type: "int", nullable: false),
                    ISPUBLISH = table.Column<bool>(type: "bit", nullable: false),
                    ENABLE_STATUS = table.Column<int>(type: "int", nullable: false),
                    IS_DELETED = table.Column<bool>(type: "bit", nullable: false),
                    ORG_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ENTITY_ORG_TPYE = table.Column<int>(type: "int", nullable: false),
                    FORM_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    FLOW_STATUS = table.Column<int>(type: "int", nullable: false),
                    FLOW_SEND_STATUS = table.Column<int>(type: "int", nullable: false),
                    FLOW_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    CREATE_TIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    MODIFY_TIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    CREATER_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    MODIFIER_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_T_PF_ANNOURCEMENT", x => x.ID);
                    table.ForeignKey(
                        name: "FK_T_PF_ANNOURCEMENT_T_FM_ORGANIZATION_ORG_ID",
                        column: x => x.ORG_ID,
                        principalTable: "T_FM_ORGANIZATION",
                        principalColumn: "ID",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_T_PF_ANNOURCEMENT_ORG_ID",
                table: "T_PF_ANNOURCEMENT",
                column: "ORG_ID");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "T_PF_ANNOURCEMENT");
        }
    }
}
